<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")) exit;

    // seperate login string
    $rvi_passreset=trim($rvi_passreset);
    $pieces=explode("s",$rvi_passreset);
    $user_id=$pieces[0];
    $token_name=$pieces[1];

    $user = new User();

    if ($user->getData($user_id)){
        if ($token_details=check_security_token($token_name,"resetpass".$user->id.$user->email.$user->password)){

            // verify account incase it's not already
            $user->verified=1;

            // generate a new random password
			$password=generate_password();
			$user->password=encrypt_password($password,$user_id);
			$user->saveItem();

            // log user in - maybe we use a login function here instead
            unset($user->password);
            $_SESSION[cms_key]['reg_user']=$user;

            $_SESSION[cms_key]['form']['myaccount_changepass']['warning_green'][]="Your password has been reset and you have been logged in automatically.";
            $_SESSION[cms_key]['form']['myaccount_changepass']['warning_green'][]="Your new password is: <b>".$password."</b>";
            $_SESSION[cms_key]['form']['myaccount_changepass']['warning_green'][]="You can change your password below or at any time by going to your account settings and clicking on <a href=\"".cms_url."?myaccount=password\">change my password</a>.";

            // redirect after form submit so browser back and refresh work without browser resend form data warning
            pageRedirect(cms_url."?myaccount=password",true);

        }
    }

    $_SESSION[cms_key]['form']['forgot_password']['warning'][]="Password reset failed. The reset link may have expired, please submit your email again. If you still have difficulty logging into your account please contact us.";

    // redirect to forgot password page if reset failed (user deleted, token timed out etc.)
    pageRedirect(cms_url."?forgot_password");
	
?>
